ClassTransformer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.spi
Interface ClassTransformer

All Known Implementing Classes:
  AbstractClassTransformerImpl, JavassistClassTransformer

    public interface ClassTransformer

A persistence provider provides an instance of this interface to the PersistenceUnitInfo.addTransformer method. The supplied transformer instance will get called to transform entity class files when they are loaded and redefined. The transformation occurs before the class is defined by the JVM

Method Summary
`byte[]` | `transform(ClassLoader loader, String classname, Class classBeingRedefined, ProtectionDomain protectionDomain, byte[] classfileBuffer)` Invoked when a class is being loaded or redefined to add hooks for persistence bytecode manipulation

Method Detail

### transform

    byte[] transform(ClassLoader loader,
                     String classname,
                     Class classBeingRedefined,
                     ProtectionDomain protectionDomain,
                     byte[] classfileBuffer)

  Invoked when a class is being loaded or redefined to add hooks for persistence bytecode manipulation

  Parameters:
    `loader` - the defining class loaderof the class being transformed. It may be null if using bootstrap loader
    `classname` - The name of the class being transformed
    `classBeingRedefined` - If an already loaded class is being redefined, then pass this as a parameter
    `protectionDomain` - ProtectionDomain of the class being (re)-defined
    `classfileBuffer` - The input byte buffer in class file format
  Returns:
    A well-formed class file that can be loaded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.